#
# test06.rb
#
# $Id: test06.rb,v 1.1 2000/11/22 14:36:00 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


np = 14

#-- data ---
ctr = ['cyl','mer','mwd','hmr','ek6','ktd','con',
       'coa','coc','bon','otg','pst','azm','aza']

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::umlset('LGLOBE', true)

for i in 0..np-1
  DCL::grfrm
  DCL::grsvpt(0.1, 0.9, 0.1, 0.9)
  DCL::grstrn(DCL::isgtrc(ctr[i]))
  DCL::umpfit
  DCL::grstrf

  DCL::sglset('LCLIP', true)
  DCL::slpwwr(1)
  DCL::slpvpr(1)
  cttl =DCL:: sgtrnl(DCL::isgtrc(ctr[i]))
  DCL::sgtxzr(0.5, 0.95, cttl, 0.03, 0, 0, 3)

  DCL::umpmap('coast_world')
  DCL::umpglb
end

DCL::grcls

